Loading...
Searching...
No Matches
EtmV3TrcPacket Class Reference
OpenCSD Library : Trace Packet Types

ETMv3 Trace Protocol Packet. More...

`#include <trc_pkt_elem_etmv3.h>`

Inheritance diagram for EtmV3TrcPacket:
[legend]
Collaboration diagram for EtmV3TrcPacket:
[legend]

## Public Member Functions

| EtmV3TrcPacket ()
| ~EtmV3TrcPacket ()
EtmV3TrcPacket & | operator= (const ocsd_etmv3_pkt *p_pkt)
| operator const ocsd_etmv3_pkt * () const
| operator const ocsd_etmv3_pkt & () const
virtual const void * | c_pkt () const
| return the underlying C API packet structure
void | Clear ()
| clear update data in packet ready for new one.
void | ResetState ()
| reset intra packet state data -on full decoder reset.
void | SetType (const ocsd_etmv3_pkt_type p_type)
void | SetErrType (const ocsd_etmv3_pkt_type e_type)
void | UpdateAddress (const ocsd_vaddr_t partAddrVal, const int updateBits)
void | SetException (const ocsd_armv7_exception type, const uint16_t number, const bool cancel, const bool cm_type, const int irq_n=0, const int resume=0)
void | UpdateNS (const int NS)
void | UpdateAltISA (const int AltISA)
void | UpdateHyp (const int Hyp)
void | UpdateISA (const ocsd_isa isa)
void | UpdateContextID (const uint32_t contextID)
void | UpdateVMID (const uint8_t VMID)
void | UpdateTimestamp (const uint64_t tsVal, const uint8_t updateBits)
bool | UpdateAtomFromPHdr (const uint8_t pHdr, const bool cycleAccurate)
| Interpret P Hdr, return true if valid, false if not.
void | SetDataOOOTag (const uint8_t tag)
void | SetDataValue (const uint32_t value)
void | UpdateDataAddress (const uint32_t value, const uint8_t valid_bits)
void | UpdateDataEndian (const uint8_t BE_Val)
void | SetCycleCount (const uint32_t cycleCount)
void | SetISyncReason (const ocsd_iSync_reason reason)
void | SetISyncHasCC ()
void | SetISyncIsLSiP ()
void | SetISyncNoAddr ()
const ocsd_etmv3_pkt_type | getType () const
const bool | isBadPacket () const
const int | AltISA () const
const ocsd_isa | ISA () const
const bool | changedISA () const
const bool | isCtxtUpdated () const
const bool | isCtxtFlagsUpdated () const
const bool | isNS () const
const bool | isHyp () const
const bool | isCtxtIDUpdated () const
const uint32_t | getCtxtID () const
const bool | isVMIDUpdated () const
const uint32_t | getVMID () const
const uint32_t | getCycleCount () const
const uint64_t | getTS () const
const bool | isExcepPkt () const
const ocsd_armv7_exception | excepType () const
const uint16_t | excepNum () const
const bool | isExcepCancel () const
const ocsd_iSync_reason | getISyncReason () const
const bool | getISyncHasCC () const
const bool | getISyncIsLSiPAddr () const
const bool | getISyncNoAddr () const
const ocsd_vaddr_t | getAddr () const
const ocsd_vaddr_t | getDataAddr () const
const ocsd_pkt_atom & | getAtom () const
const uint8_t | getPHdrFmt () const
virtual void | toString (std::string &str) const
virtual void | toStringFmt (const uint32_t fmtFlags, std::string &str) const
Public Member Functions inherited from TrcPacketBase
| TrcPacketBase ()
virtual | ~TrcPacketBase ()
Public Member Functions inherited from trcPrintableElem
| trcPrintableElem ()
virtual | ~trcPrintableElem ()

## Additional Inherited Members

Static Public Member Functions inherited from trcPrintableElem
static void | getValStr (std::string &valStr, const int valTotalBitSize, const int valValidBits, const uint64_t value, const bool asHex=true, const int updateBits=0)

## Detailed Description

ETMv3 Trace Protocol Packet.

This class represents a single ETMv3 trace packet, along with intra packet state.

Definition at line 53 of file trc_pkt_elem_etmv3.h.

## Constructor & Destructor Documentation

## EtmV3TrcPacket()

EtmV3TrcPacket::EtmV3TrcPacket | ( |  | ) |

## ~EtmV3TrcPacket()

EtmV3TrcPacket::~EtmV3TrcPacket | ( |  | ) |

## Member Function Documentation

## AltISA()

const int EtmV3TrcPacket::AltISA | ( |  | ) | const

inline

Definition at line 107 of file trc_pkt_elem_etmv3.h.

Here is the caller graph for this function:

## c_pkt()

virtual const void * EtmV3TrcPacket::c_pkt | ( |  | ) | const

inline virtual

return the underlying C API packet structure

Implements TrcPacketBase.

Definition at line 68 of file trc_pkt_elem_etmv3.h.

## changedISA()

const bool EtmV3TrcPacket::changedISA | ( |  | ) | const

inline

Definition at line 109 of file trc_pkt_elem_etmv3.h.

## Clear()

void EtmV3TrcPacket::Clear | ( |  | ) |

clear update data in packet ready for new one.

## excepNum()

const uint16_t EtmV3TrcPacket::excepNum | ( |  | ) | const

inline

Definition at line 127 of file trc_pkt_elem_etmv3.h.

## excepType()

const ocsd_armv7_exception EtmV3TrcPacket::excepType | ( |  | ) | const

inline

Definition at line 126 of file trc_pkt_elem_etmv3.h.

## getAddr()

const ocsd_vaddr_t EtmV3TrcPacket::getAddr | ( |  | ) | const

inline

Definition at line 135 of file trc_pkt_elem_etmv3.h.

## getAtom()

const ocsd_pkt_atom & EtmV3TrcPacket::getAtom | ( |  | ) | const

inline

Definition at line 138 of file trc_pkt_elem_etmv3.h.

Here is the caller graph for this function:

## getCtxtID()

const uint32_t EtmV3TrcPacket::getCtxtID | ( |  | ) | const

inline

Definition at line 118 of file trc_pkt_elem_etmv3.h.

## getCycleCount()

const uint32_t EtmV3TrcPacket::getCycleCount | ( |  | ) | const

inline

Definition at line 122 of file trc_pkt_elem_etmv3.h.

Here is the caller graph for this function:

## getDataAddr()

const ocsd_vaddr_t EtmV3TrcPacket::getDataAddr | ( |  | ) | const

inline

Definition at line 136 of file trc_pkt_elem_etmv3.h.

## getISyncHasCC()

const bool EtmV3TrcPacket::getISyncHasCC | ( |  | ) | const

inline

Definition at line 131 of file trc_pkt_elem_etmv3.h.

## getISyncIsLSiPAddr()

const bool EtmV3TrcPacket::getISyncIsLSiPAddr | ( |  | ) | const

inline

Definition at line 132 of file trc_pkt_elem_etmv3.h.

## getISyncNoAddr()

const bool EtmV3TrcPacket::getISyncNoAddr | ( |  | ) | const

inline

Definition at line 133 of file trc_pkt_elem_etmv3.h.

## getISyncReason()

const ocsd_iSync_reason EtmV3TrcPacket::getISyncReason | ( |  | ) | const

inline

Definition at line 130 of file trc_pkt_elem_etmv3.h.

## getPHdrFmt()

const uint8_t EtmV3TrcPacket::getPHdrFmt | ( |  | ) | const

inline

Definition at line 139 of file trc_pkt_elem_etmv3.h.

Here is the caller graph for this function:

## getTS()

const uint64_t EtmV3TrcPacket::getTS | ( |  | ) | const

inline

Definition at line 123 of file trc_pkt_elem_etmv3.h.

## getType()

const ocsd_etmv3_pkt_type EtmV3TrcPacket::getType | ( |  | ) | const

inline

Definition at line 104 of file trc_pkt_elem_etmv3.h.

## getVMID()

const uint32_t EtmV3TrcPacket::getVMID | ( |  | ) | const

inline

Definition at line 120 of file trc_pkt_elem_etmv3.h.

## ISA()

const ocsd_isa EtmV3TrcPacket::ISA | ( |  | ) | const

inline

Definition at line 108 of file trc_pkt_elem_etmv3.h.

## isCtxtFlagsUpdated()

const bool EtmV3TrcPacket::isCtxtFlagsUpdated | ( |  | ) | const

inline

Definition at line 113 of file trc_pkt_elem_etmv3.h.

## isCtxtIDUpdated()

const bool EtmV3TrcPacket::isCtxtIDUpdated | ( |  | ) | const

inline

Definition at line 117 of file trc_pkt_elem_etmv3.h.

## isExcepCancel()

const bool EtmV3TrcPacket::isExcepCancel | ( |  | ) | const

inline

Definition at line 128 of file trc_pkt_elem_etmv3.h.

## isExcepPkt()

const bool EtmV3TrcPacket::isExcepPkt | ( |  | ) | const

inline

Definition at line 125 of file trc_pkt_elem_etmv3.h.

## isHyp()

const bool EtmV3TrcPacket::isHyp | ( |  | ) | const

inline

Definition at line 115 of file trc_pkt_elem_etmv3.h.

## isNS()

const bool EtmV3TrcPacket::isNS | ( |  | ) | const

inline

Definition at line 114 of file trc_pkt_elem_etmv3.h.

## isVMIDUpdated()

const bool EtmV3TrcPacket::isVMIDUpdated | ( |  | ) | const

inline

Definition at line 119 of file trc_pkt_elem_etmv3.h.

## operator const ocsd_etmv3_pkt &()

EtmV3TrcPacket::operator const ocsd_etmv3_pkt & | ( |  | ) | const

inline

Definition at line 65 of file trc_pkt_elem_etmv3.h.

## operator const ocsd_etmv3_pkt *()

EtmV3TrcPacket::operator const ocsd_etmv3_pkt * | ( |  | ) | const

inline

Definition at line 64 of file trc_pkt_elem_etmv3.h.

## operator=()

EtmV3TrcPacket & EtmV3TrcPacket::operator= | ( | const ocsd_etmv3_pkt * | p_pkt | ) |

## ResetState()

void EtmV3TrcPacket::ResetState | ( |  | ) |

reset intra packet state data -on full decoder reset.

## SetException()

void EtmV3TrcPacket::SetException | ( | const ocsd_armv7_exception | type,
|  | const uint16_t | number,
|  | const bool | cancel,
|  | const bool | cm_type,
|  | const int | irq_n = `0`,
|  | const int | resume = `0`
| ) |  |

## toString()

virtual void EtmV3TrcPacket::toString | ( | std::string & | str | ) | const

virtual

Reimplemented from trcPrintableElem.

## toStringFmt()

virtual void EtmV3TrcPacket::toStringFmt | ( | const uint32_t | fmtFlags,
|  | std::string & | str
| ) |  | const

virtual

Reimplemented from trcPrintableElem.

## UpdateAddress()

void EtmV3TrcPacket::UpdateAddress | ( | const ocsd_vaddr_t | partAddrVal,
|  | const int | updateBits
| ) |  |

## UpdateAtomFromPHdr()

bool EtmV3TrcPacket::UpdateAtomFromPHdr | ( | const uint8_t | pHdr,
|  | const bool | cycleAccurate
| ) |  |

Interpret P Hdr, return true if valid, false if not.

## UpdateDataAddress()

void EtmV3TrcPacket::UpdateDataAddress | ( | const uint32_t | value,
|  | const uint8_t | valid_bits
| ) |  |

## UpdateTimestamp()

void EtmV3TrcPacket::UpdateTimestamp | ( | const uint64_t | tsVal,
|  | const uint8_t | updateBits
| ) |  |

The documentation for this class was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/opencsd/etmv3/trc_pkt_elem_etmv3.h